| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
hubloc.php File Reference

## Functions
| is_matrix_url ($url)
| prune_hub_reinstalls ()
| remove_obsolete_hublocs ()
| hubloc_change_primary ($hubloc)
| xchan_store ($arr)
| xchan_fetch ($arr)

## Function Documentation

hubloc_change_primary | ( |  | $hubloc | ) |

Referenced by sync_locations().

is_matrix_url | ( |  | $url | ) |

Referenced by bookmark_add(), oembed_fetch_url(), red_zrl_callback(), red_zrlify_img_callback(), tryzrlaudio(), and tryzrlvideo().

prune_hub_reinstalls | ( |  | ) |

Referenced by poller_run().

remove_obsolete_hublocs | ( |  | ) |

Referenced by poller_run().

xchan_fetch | ( |  | $arr | ) |

Referenced by api_red_xchan().

xchan_store | ( |  | $arr | ) |

Referenced by api_red_xchan(), and reflect_comment_store().